<EntityClassDefinition.AEGS_Idris_SCItem_Turret_Upper_Rear_Left_Stanton __id="d2e36cb0-33bb-4bec-877b-cd1336e1bfc4" __path="libs/foundry/records/entities/scitem/ships/turret/aegs_idris_scitem_turret_upper_rear_left_stanton.xml" __type="EntityClassDefinition" BBoxSelection="0" Category="Default" entityDensityClass="00000000-0000-0000-0000-000000000000" Icon="Default.bmp" Invisible="0">
  <Components>
    <SAttachableComponentParams __type="DataForgeComponentParams" __polymorphicType="SAttachableComponentParams" attachToTileItemPort="NoConnection" entityAttachParams="None">
      <AttachDef __type="SItemDefinition" DisplayType="" Grade="1" inheritParentManufacturer="0" inventoryOccupancyDimensionsUIOverride="None" Manufacturer="cf4a74bf-eb2c-462a-9b78-f7f2724c31d2" RequiredTags="" Size="5" SubType="MannedTurret" Tags="flightReady" Type="TurretBase">
        <inventoryOccupancyDimensions __type="Vec3" x="0.15000000596046448" y="0.15000000596046448" z="0.15000000596046448" />
        <inventoryOccupancyVolume __type="SBaseCargoUnit" __polymorphicType="SMicroCargoUnit" microSCU="1" />
        <Localization __type="SCItemLocalization" Description="@LOC_EMPTY" Name="@item_Name_Turret_Manned" ShortName="@LOC_EMPTY">
          <displayFeatures __type="SCExtendedLocalizationLevelParams" Callout1="@LOC_EMPTY" Callout2="@LOC_EMPTY" Callout3="@LOC_EMPTY" FrontendBackground="" History="@LOC_EMPTY" LogoSimplifiedWhite="" UIPriority="0">
            <locationAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
            <locationAudioStopTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
          </displayFeatures>
        </Localization>
        <mannequinTags __type="SCItemMannequinTags" mannequinBaseTag="" mannequinClassTag="AEGS_Idris_Seat_Turret" mannequinTypeTag="" />
      </AttachDef>
    </SAttachableComponentParams>
    <SEntityComponentDefaultLoadoutParams __type="DataForgeComponentParams" __polymorphicType="SEntityComponentDefaultLoadoutParams">
      <loadout __type="SItemPortLoadoutBaseParams" __polymorphicType="SItemPortLoadoutManualParams">
        <entries />
        <InventoryItems />
      </loadout>
    </SEntityComponentDefaultLoadoutParams>
    <SEntityInteractableParams __type="DataForgeComponentParams" __polymorphicType="SEntityInteractableParams">
      <Interactable __type="SInteractableParams" menuTitle="None">
        <actionHandlerTasks />
        <InteractionPoints>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Exit" longRangeIP="0" MaxCursorScreenDistance="0.5" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="1" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors>
              <SHighlightBehaviorNode __type="SHighlightBehaviorNode">
                <HighlightBehaviorNodeParams __type="SHighlightBehaviorNodeParams" __polymorphicType="SBonesHighlightNode">
                  <boneNames>Button_Exit</boneNames>
                </HighlightBehaviorNodeParams>
                <nextNodes />
              </SHighlightBehaviorNode>
            </HighlightBehaviors>
            <Interactions />
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SInteractionPointParams>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_FireMode" longRangeIP="0" MaxCursorScreenDistance="0.5" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="1" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors>
              <SHighlightBehaviorNode __type="SHighlightBehaviorNode">
                <HighlightBehaviorNodeParams __type="SHighlightBehaviorNodeParams" __polymorphicType="SBonesHighlightNode">
                  <boneNames>Button_Fire_Mode</boneNames>
                </HighlightBehaviorNodeParams>
                <nextNodes />
              </SHighlightBehaviorNode>
            </HighlightBehaviors>
            <Interactions />
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SInteractionPointParams>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Power" longRangeIP="0" MaxCursorScreenDistance="0.5" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="1" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors>
              <SHighlightBehaviorNode __type="SHighlightBehaviorNode">
                <HighlightBehaviorNodeParams __type="SHighlightBehaviorNodeParams" __polymorphicType="SBonesHighlightNode">
                  <boneNames>Button_Power</boneNames>
                </HighlightBehaviorNodeParams>
                <nextNodes />
              </SHighlightBehaviorNode>
            </HighlightBehaviors>
            <Interactions />
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SInteractionPointParams>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_GyroMode" longRangeIP="0" MaxCursorScreenDistance="0.5" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="1" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors>
              <SHighlightBehaviorNode __type="SHighlightBehaviorNode">
                <HighlightBehaviorNodeParams __type="SHighlightBehaviorNodeParams" __polymorphicType="SBonesHighlightNode">
                  <boneNames>Button_Gyro_Mode</boneNames>
                </HighlightBehaviorNodeParams>
                <nextNodes />
              </SHighlightBehaviorNode>
            </HighlightBehaviors>
            <Interactions />
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SInteractionPointParams>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Sensitivity_Increase" longRangeIP="0" MaxCursorScreenDistance="2.0" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors>
              <SHighlightBehaviorNode __type="SHighlightBehaviorNode">
                <HighlightBehaviorNodeParams __type="SHighlightBehaviorNodeParams" __polymorphicType="SBonesHighlightNode">
                  <boneNames>Button_Sensitivity_Increase</boneNames>
                </HighlightBehaviorNodeParams>
                <nextNodes />
              </SHighlightBehaviorNode>
            </HighlightBehaviors>
            <Interactions>
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" IsPrimary="0">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_turret_sensitivity_increase" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="RetractTurret" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
              </SInteractionParams>
            </Interactions>
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SInteractionPointParams>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Sensitivity_Decrease" longRangeIP="0" MaxCursorScreenDistance="2.0" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors>
              <SHighlightBehaviorNode __type="SHighlightBehaviorNode">
                <HighlightBehaviorNodeParams __type="SHighlightBehaviorNodeParams" __polymorphicType="SBonesHighlightNode">
                  <boneNames>Button_Sensitivity_Decrease</boneNames>
                </HighlightBehaviorNodeParams>
                <nextNodes />
              </SHighlightBehaviorNode>
            </HighlightBehaviors>
            <Interactions>
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" IsPrimary="0">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_turret_gyro" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Turret_Gyro_Mode" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
              </SInteractionParams>
            </Interactions>
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SInteractionPointParams>
          <SInteractionPointParams __type="SInteractionPointParams" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Sensitivity_Reset" longRangeIP="0" MaxCursorScreenDistance="2.0" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="0" UseHorizontalDistance="0">
            <AdditionalCollisionBones />
            <AngleConstraint __type="SAngleConstraint" angleRange="181.0">
              <forwardDirOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
            </AngleConstraint>
            <HighlightBehaviors>
              <SHighlightBehaviorNode __type="SHighlightBehaviorNode">
                <HighlightBehaviorNodeParams __type="SHighlightBehaviorNodeParams" __polymorphicType="SBonesHighlightNode">
                  <boneNames>Button_Sensitivity_Reset</boneNames>
                </HighlightBehaviorNodeParams>
                <nextNodes />
              </SHighlightBehaviorNode>
            </HighlightBehaviors>
            <Interactions>
              <SInteractionParams __type="SInteractionParams" DisplayName="@LOC_EMPTY" IsPrimary="0">
                <Interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_turret_sensitivity_reset" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Turret_Sensitivity_Reset" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
                  <QueryTags />
                </Interaction>
              </SInteractionParams>
            </Interactions>
            <Offset __type="QuatT">
              <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
              <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
            </Offset>
          </SInteractionPointParams>
        </InteractionPoints>
        <interactionTasks />
        <itemActionTasks />
        <SharedInteractions>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_CIFPSWeaponChangeFireMode" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Turret_Fire_Mode" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_turret_gyro" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="AI_Use" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags 61d439f9-0bef-43e0-8ecc-fe96c9793d66="61d439f9-0bef-43e0-8ecc-fe96c9793d66" />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_turret_sensitivity_increase" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="RetractTurret" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_turret_gyro" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Turret_Gyro_Mode" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
          <SSharedInteractionParams __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_turret_sensitivity_reset" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Turret_Sensitivity_Reset" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </SSharedInteractionParams>
        </SharedInteractions>
      </Interactable>
    </SEntityInteractableParams>
    <SInteractionLinkParams __type="DataForgeComponentParams" __polymorphicType="SInteractionLinkParams">
      <linkPlugs />
      <vehicleItemPortInteractionLinks />
    </SInteractionLinkParams>
    <SEntityComponentSequencerParams __type="DataForgeComponentParams" __polymorphicType="SEntityComponentSequencerParams" resetSequence="None">
      <sequences>
        <SSequencerDefSequenceParams __type="SSequencerDefSequenceParams" name="retract">
          <interaction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_turret_sensitivity_increase" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="RetractTurret" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
            <QueryTags />
          </interaction>
          <taskEntries>
            <SSequencerSequenceTaskEntryParams __type="SSequencerSequenceTaskEntryParams" haltOnFailure="1" postDelay="0.0">
              <dependentTasks />
              <task __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerAnimationTaskParams" fragmentId="SeatState" fragTag="Enter" looping="0" />
            </SSequencerSequenceTaskEntryParams>
          </taskEntries>
        </SSequencerDefSequenceParams>
      </sequences>
    </SEntityComponentSequencerParams>
    <SGeometryResourceParams __type="DataForgeComponentParams" __polymorphicType="SGeometryResourceParams" cacheResources="0" inheritModelTagFromHost="1" ModelTag="None" rootOverridePaint="0">
      <Geometry __type="SGeometryNodeParams" ScaleMultiplier="1.0" Tags="">
        <Geometry __type="SGeometryDataParams" AttachFlags="0" BBoxJoint="" BBoxRadius="0.0" Damage="0.0" DeformerType="Standard" Dirt="0.0" EnableDecalProjection="0" Interference="0.0" MaterialAttachments="" ModifiersPath="" ProtosBShapeExclude="0" ProxyCDFPath="" SimulationGeometry="None" Slot="Main" SunShadowMode="Upto_400m" viewDistRatio="00000000-0000-0000-0000-000000000000" VisAreaMode="AABB_Center" VisFP="1" VisSecondaryViews="1" VisShadow="1" VisTP="1" Wear="0.0" WrinkleMap="0">
          <Geometry __type="GlobalResourceBase" __polymorphicType="GlobalResourceGeometry" path="objects/spaceships/turrets/aegs/idris/aegs_idris_turret/aegs_idris_scitem_turret_upper.cga" />
          <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
          <Palette __type="TintPaletteRef" ChildPath="" RootRecord="e8af9786-2236-4e6e-8301-2a8396c3eec2" />
        </Geometry>
        <SubGeometry />
      </Geometry>
      <Material __type="SMaterialNodeParams" Tags="">
        <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
        <materialVariants>
          <SMaterialNodeParams __type="SMaterialNodeParams" Tags="IdrisCivilian">
            <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
            <materialVariants />
            <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
          </SMaterialNodeParams>
          <SMaterialNodeParams __type="SMaterialNodeParams" Tags="IdrisPirate">
            <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
            <materialVariants />
            <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
          </SMaterialNodeParams>
          <SMaterialNodeParams __type="SMaterialNodeParams" Tags="IdrisMilitary">
            <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="Objects/Spaceships/Turrets/AEGS/Javelin/manned_turret/aegs_javelin_manned_turret.mtl" />
            <materialVariants />
            <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
          </SMaterialNodeParams>
          <SMaterialNodeParams __type="SMaterialNodeParams" Tags="Paint_Idris_Procyon">
            <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
            <materialVariants />
            <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
          </SMaterialNodeParams>
          <SMaterialNodeParams __type="SMaterialNodeParams" Tags="">
            <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
            <materialVariants />
            <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
          </SMaterialNodeParams>
          <SMaterialNodeParams __type="SMaterialNodeParams" Tags="Paint_Idris_Ninetails">
            <Material __type="GlobalResourceBase" __polymorphicType="GlobalResourceMaterial" path="" />
            <materialVariants />
            <Palette __type="TintPaletteRef" ChildPath="" RootRecord="3d47050f-2ca9-41d7-b5ce-ba87e7fc39ea" />
          </SMaterialNodeParams>
        </materialVariants>
        <Palette __type="TintPaletteRef" ChildPath="" RootRecord="00000000-0000-0000-0000-000000000000" />
      </Material>
    </SGeometryResourceParams>
    <SEntityPhysicsControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityPhysicsControllerParams">
      <PhysType __type="SEntityBasePhysicsControllerParams" __polymorphicType="SEntityRigidPhysicsControllerParams" BlocksNavigation="1" breakableParams="None" buoyancyParams="None" Damping="0.009999999776482582" DampingFreefall="0.05000000074505806" EnableCrossGridChecks="0" gameCollisionClass="None" grid="None" Kinematic="0" Mass="10.0" maxLoggedCollisions="1" NeverAffectTriggers="0" physicalizeAllSlots="1" PushableByPlayers="1" Resting="0" UseManualGridTransition="0">
        <temperature __type="EntityTemperature" enable="0" initialTemperature="-1.0" internalTemperatureGeneration="0.0" />
      </PhysType>
    </SEntityPhysicsControllerParams>
    <SAnimationControllerParams __type="DataForgeComponentParams" __polymorphicType="SAnimationControllerParams" AnimationController="SCItems\Ships\SCItemSeat\SCItemSeatControllerDefs.xml" AnimationDatabase="SCItems\Ships\SCItemSeat\AEGS_Idris_Seat\AEGS_Idris_SCItem_Turret_Anims.adb" defaultAnimation="None">
      <AnimationControlActorIKs>
        <AnimationControlActorIK __type="AnimationControlActorIK" alignEndEffector="1" blendTime="0.0" bone="IK_hand_right_pilot" limb="RgtArm05" />
        <AnimationControlActorIK __type="AnimationControlActorIK" alignEndEffector="1" blendTime="0.0" bone="IK_hand_left_pilot" limb="LftArm05" />
        <AnimationControlActorIK __type="AnimationControlActorIK" alignEndEffector="1" blendTime="0.0" bone="IK_foot_left_pilot" limb="LftLeg02" />
        <AnimationControlActorIK __type="AnimationControlActorIK" alignEndEffector="1" blendTime="0.0" bone="IK_foot_right_pilot" limb="RgtLeg02" />
      </AnimationControlActorIKs>
      <AnimationJointControls __type="AnimationJointControl">
        <animations />
        <movements>
          <AnimationJointMovement __type="AnimationJointMovement" joint="AnimController_Comp_R">
            <rotations>
              <AnimationJointLinearRotation __type="AnimationJointBaseRotation" __polymorphicType="AnimationJointLinearRotation" fromEndValus="1.0" fromStartValus="-1.0" toEndAngle="-15.0" toStartAngle="15.0">
                <variable __type="AnimationScalarVariable" __polymorphicType="AnimationPlayerInputVariable" defaultValue="0.0" name="turret_body_yaw_speed">
                  <defaultInterpolation __type="AnimationVariableInterpolation" timeRange="1.0" type="Linear" />
                  <range __type="Range" maximum="1.0" minimum="-1.0" />
                </variable>
              </AnimationJointLinearRotation>
              < />
              < />
            </rotations>
            <translations>
              < />
              < />
              < />
            </translations>
          </AnimationJointMovement>
          <AnimationJointMovement __type="AnimationJointMovement" joint="Joystick_Left">
            <rotations>
              <AnimationJointLinearRotation __type="AnimationJointBaseRotation" __polymorphicType="AnimationJointLinearRotation" fromEndValus="1.0" fromStartValus="-1.0" toEndAngle="15.0" toStartAngle="-15.0">
                <variable __type="AnimationScalarVariable" __polymorphicType="AnimationPlayerInputVariable" defaultInterpolation="structInstance_AnimationVariableInterpolation_props:2" defaultValue="0.0" name="turret_body_yaw_speed" range="structInstance_Range_props:2" />
              </AnimationJointLinearRotation>
              < />
              < />
            </rotations>
            <translations>
              < />
              < />
              < />
            </translations>
          </AnimationJointMovement>
        </movements>
        <variables>
          <AnimationPlayerInputVariable __type="AnimationScalarVariable" __polymorphicType="AnimationPlayerInputVariable" defaultInterpolation="structInstance_AnimationVariableInterpolation_props:2" defaultValue="0.0" name="turret_body_yaw_speed" range="structInstance_Range_props:2" />
        </variables>
      </AnimationJointControls>
      <AnimationTasks>
        <SSequencerAnimationTaskParams __type="SSequencerAnimationTaskParamsBase" __polymorphicType="SSequencerAnimationTaskParams" fragmentId="SeatState" fragTag="Enter" looping="0" />
      </AnimationTasks>
      <ScopeContexts />
      <Tags />
    </SAnimationControllerParams>
    <SCItemSeatDashboardParams __type="DataForgeComponentParams" __polymorphicType="SCItemSeatDashboardParams" PowerOnline="1">
      <consumableInteractions __type="SDashboardConsumableInteractionParams" consumableIP="None" />
      <dashboardInteractions __type="SDashboardInteractionParams" atcCloseDoorsInteraction="None" atcOpenDoorsInteraction="None" ejectCargo="None" flightReady="None" hasSimpleStartupSequence="0" powerOff="None" powerOn="None" saveQuitInteraction="None" />
      <effects __type="SDashboardEffectParams" usedEffectTag="00000000-0000-0000-0000-000000000000" />
      <engineInteractions __type="SDashboardEngineInteractionParams" engineIP="None" />
      <MFDs />
      <powerInteractions __type="SDashboardPowerInteractionParams">
        <powerIP __type="SInteractionPointParams" AngleConstraint="structInstance_SAngleConstraint_props:2" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Power" longRangeIP="0" MaxCursorScreenDistance="0.5" Offset="structInstance_QuatT_props:2" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="1" UseHorizontalDistance="0">
          <AdditionalCollisionBones />
          <HighlightBehaviors>
            <SHighlightBehaviorNode>classReference_structure:SHighlightBehaviorNode</SHighlightBehaviorNode>
          </HighlightBehaviors>
          <Interactions />
        </powerIP>
      </powerInteractions>
      <quantumInterdictionInteractions __type="SDashboardQuantumInterdictionParams" quantumInterdictionIP="None" toggleJammingIP="None" />
      <seatInteractions __type="SDashboardSeatInteractionParams" closeIP="None" cycleHUDIP="None" ejectionIP="None" openIP="None">
        <exitIP __type="SInteractionPointParams" AngleConstraint="structInstance_SAngleConstraint_props:2" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_Exit" longRangeIP="0" MaxCursorScreenDistance="0.5" Offset="structInstance_QuatT_props:2" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="1" UseHorizontalDistance="0">
          <AdditionalCollisionBones />
          <HighlightBehaviors>
            <SHighlightBehaviorNode>classReference_structure:SHighlightBehaviorNode</SHighlightBehaviorNode>
          </HighlightBehaviors>
          <Interactions />
        </exitIP>
      </seatInteractions>
      <systemInteractions __type="SDashboardSystemInteractionParams" cargoIP="None" doorsIP="None" landingIP="None" />
      <uiDescription __type="SCItemSeatDashboardUIDesc" markerConfig="00000000-0000-0000-0000-000000000000" playCommsOnLens="0" showTargetOnLens="0">
        <Screens>
          <SCItemSeatDashboardScreen __type="SCItemSeatDashboardScreen" GeomName="Screen_Radar" MaterialOverride="" Name="Screen_Radar">
            <Position __type="SCItemSeatDashboardScreenPos" Helper="" Scale="1.0">
              <Offset __type="QuatT">
                <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
              </Offset>
            </Position>
            <Style __type="SCItemSeatDashboardScreenStyle" Template="Background_Radar" Type="Support_1_1" />
          </SCItemSeatDashboardScreen>
          <SCItemSeatDashboardScreen __type="SCItemSeatDashboardScreen" GeomName="Screen_Left_Top" MaterialOverride="" Name="Screen_Left_Top">
            <Position __type="SCItemSeatDashboardScreenPos" Helper="" Scale="1.0">
              <Offset __type="QuatT">
                <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
              </Offset>
            </Position>
            <Style __type="SCItemSeatDashboardScreenStyle" Template="Background" Type="MFD_16_9" />
          </SCItemSeatDashboardScreen>
          <SCItemSeatDashboardScreen __type="SCItemSeatDashboardScreen" GeomName="Screen_Right_Top" MaterialOverride="" Name="Screen_Right_Top">
            <Position __type="SCItemSeatDashboardScreenPos" Helper="" Scale="1.0">
              <Offset __type="QuatT">
                <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
              </Offset>
            </Position>
            <Style __type="SCItemSeatDashboardScreenStyle" Template="Background" Type="MFD_16_9" />
          </SCItemSeatDashboardScreen>
          <SCItemSeatDashboardScreen __type="SCItemSeatDashboardScreen" GeomName="Screen_Left_Bottom" MaterialOverride="" Name="Screen_Left_Bottom">
            <Position __type="SCItemSeatDashboardScreenPos" Helper="" Scale="1.0">
              <Offset __type="QuatT">
                <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
              </Offset>
            </Position>
            <Style __type="SCItemSeatDashboardScreenStyle" Template="Background" Type="MFD_16_9" />
          </SCItemSeatDashboardScreen>
          <SCItemSeatDashboardScreen __type="SCItemSeatDashboardScreen" GeomName="Screen_Right_Bottom" MaterialOverride="" Name="Screen_Right_Bottom">
            <Position __type="SCItemSeatDashboardScreenPos" Helper="" Scale="1.0">
              <Offset __type="QuatT">
                <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
              </Offset>
            </Position>
            <Style __type="SCItemSeatDashboardScreenStyle" Template="Background" Type="MFD_16_9" />
          </SCItemSeatDashboardScreen>
        </Screens>
      </uiDescription>
      <weaponInteractions __type="SDashboardWeaponInteractionParams" remoteCameraIP="None">
        <turretIP __type="SInteractionPointParams" AngleConstraint="structInstance_SAngleConstraint_props:2" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_GyroMode" longRangeIP="0" MaxCursorScreenDistance="0.5" Offset="structInstance_QuatT_props:2" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="1" UseHorizontalDistance="0">
          <AdditionalCollisionBones />
          <HighlightBehaviors>
            <SHighlightBehaviorNode>classReference_structure:SHighlightBehaviorNode</SHighlightBehaviorNode>
          </HighlightBehaviors>
          <Interactions />
        </turretIP>
        <weaponIP __type="SInteractionPointParams" AngleConstraint="structInstance_SAngleConstraint_props:2" ApplyToEntireSkeleton="0" FirstInteractionPrimary="1" HelperName="$IP_FireMode" longRangeIP="0" MaxCursorScreenDistance="0.5" Offset="structInstance_QuatT_props:2" OnlySelectableInLookDir="0" Radius="1.600000023841858" ShowHighlight="1" ShowInnerThoughtsOffScreen="0" ShowInteractionTextAtCursorPos="0" SpherePrimitive="None" TextJustification="Middle" TextOrientation="RotateToPlayer" TextScale="1.0" UseHelperLocation="1" UseHorizontalDistance="0">
          <AdditionalCollisionBones />
          <HighlightBehaviors>
            <SHighlightBehaviorNode>classReference_structure:SHighlightBehaviorNode</SHighlightBehaviorNode>
          </HighlightBehaviors>
          <Interactions />
        </weaponIP>
      </weaponInteractions>
    </SCItemSeatDashboardParams>
    <SCItemTurretParams __type="DataForgeComponentParams" __polymorphicType="SCItemTurretParams" defaultMovementTag="00000000-0000-0000-0000-000000000000" fixedAssistRadiusInner="1.0" fixedAssistRadiusOuter="6.0" healthModifierRecord="00000000-0000-0000-0000-000000000000" intoxicationModifierRef="da01cefe-07b3-4533-aac4-09d4c624dc2e" jointConvergence="" miningOperatorMode="0" powerRequirement="1.0" recenterTask="None" remoteTurret="None" resumeControlTask="None" rotationStyle="SingleAxis" toggleTurretPositionInteraction="None">
      <audioRtpcHealthRatio __type="AudioRtpc" rtpc="Turret_Health" />
      <gyroStabilize __type="SCItemTurretGyroParams" defaultGyroStabilize="1">
        <toggleGyroStabilizeModeInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_turret_gyro" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Turret_Gyro_Mode" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
          <QueryTags />
        </toggleGyroStabilizeModeInteraction>
      </gyroStabilize>
      <maxSpeedPerGimbalMode />
      <movementList>
        <SCItemTurretJointMovementParams __type="SCItemTurretMovementParams" __polymorphicType="SCItemTurretJointMovementParams" jointName="turret_upper" movementTag="00000000-0000-0000-0000-000000000000" pitchAxis="None" restrictTargetAngles="0" rollAxis="None" slavedOnly="0">
          <yawAxis __type="SCItemTurretJointMovementAxisParams" acceleration="250.0" accelerationDecay="12.0" enableIKRotationalSpeed="1" speed="35.0">
            <angleLimits __type="SCItemTurretAngleLimitParams" __polymorphicType="SCItemTurretStandardAngleLimitParams" HighestAngle="180.0" LowestAngle="-180.0">
              <limitOverwrites />
            </angleLimits>
            <audioRtpcMoveToTarget __type="AudioRtpc" rtpc="Turret_Movement_Axis_Speed" />
            <audioRtpcMoveToTargetDistance __type="AudioRtpc" rtpc="Turret_Movement_Axis_Differential" />
            <startRotateAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPHT_Turret_Generic_Rotation_Yaw" />
            <stopRotateAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Stop_WPHT_Turret_Generic_Rotation_Yaw" />
          </yawAxis>
        </SCItemTurretJointMovementParams>
        <SCItemTurretJointMovementParams __type="SCItemTurretMovementParams" __polymorphicType="SCItemTurretJointMovementParams" jointName="turret_pitch" movementTag="00000000-0000-0000-0000-000000000000" restrictTargetAngles="0" rollAxis="None" slavedOnly="0" yawAxis="None">
          <pitchAxis __type="SCItemTurretJointMovementAxisParams" acceleration="250.0" accelerationDecay="12.0" enableIKRotationalSpeed="1" speed="35.0">
            <angleLimits __type="SCItemTurretAngleLimitParams" __polymorphicType="SCItemTurretCustomAngleLimitParams" RelativeJointName="turret_upper">
              <AngleLimits>
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="-5.0" TurretRotation="0.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="-5.0" TurretRotation="10.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="0.0" TurretRotation="15.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="0.0" TurretRotation="35.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="10.0" TurretRotation="38.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="10.0" TurretRotation="42.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="0.0" TurretRotation="45.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="0.0" TurretRotation="63.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="14.0" TurretRotation="68.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="14.0" TurretRotation="130.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="0.0" TurretRotation="150.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="0.0" TurretRotation="165.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="4.0" TurretRotation="175.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="4.0" TurretRotation="185.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="0.0" TurretRotation="195.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="0.0" TurretRotation="220.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="15.0" TurretRotation="230.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="15.0" TurretRotation="315.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="0.0" TurretRotation="335.0" />
                <SCItemTurretCustomAngleLimit __type="SCItemTurretCustomAngleLimit" HighestAngle="70.0" LowestAngle="-5.0" TurretRotation="345.0" />
              </AngleLimits>
              <limitOverwrites />
            </angleLimits>
            <audioRtpcMoveToTarget __type="AudioRtpc" rtpc="Turret_Movement_Axis_Speed" />
            <audioRtpcMoveToTargetDistance __type="AudioRtpc" rtpc="Turret_Movement_Axis_Differential" />
            <startRotateAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Play_WPHT_Turret_Generic_Rotation_Pitch" />
            <stopRotateAudioTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="Stop_WPHT_Turret_Generic_Rotation_Pitch" />
          </pitchAxis>
        </SCItemTurretJointMovementParams>
      </movementList>
      <movementTagNames />
      <setLimiterTagTasks />
      <setMovementTagTasks />
      <turretSensitivity __type="SCItemTurretSensitivityParams" sensitivityDelta="0.20000000298023224">
        <decreaseSensitivityInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_CIFPSWeaponChangeFireMode" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Turret_Fire_Mode" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
          <QueryTags />
        </decreaseSensitivityInteraction>
        <increaseSensitivityInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_turret_sensitivity_increase" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="RetractTurret" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
          <QueryTags />
        </increaseSensitivityInteraction>
        <resetSensitivityInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_CIFPSWeaponChangeFireMode" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Turret_Fire_Mode" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
          <QueryTags />
        </resetSensitivityInteraction>
      </turretSensitivity>
      <weaponModifierInterpolationFactor>1.0</weaponModifierInterpolationFactor>
    </SCItemTurretParams>
    <SCItemSeatParams __type="DataForgeComponentParams" __polymorphicType="SCItemSeatParams" armorMoveViewRestrictions="00000000-0000-0000-0000-000000000000" availableOperatorModes="f59125e4-fa25-457d-a593-9b8fb963e53e" controlTemplate="ctrl_Turret_standard" dashboardAnimationDatabase="" dashboardScopeContext="SeatDashboard" ejection="None" enterDefaultModeInteraction="None" enterQuantumModeInteraction="None" enterScanModeInteraction="None" fpHeadAdjustmentRecord="00000000-0000-0000-0000-000000000000" gforceHeadBobOverwriteRecord="00000000-0000-0000-0000-000000000000" headTrackingPositionLimitOverwriteRecord="00000000-0000-0000-0000-000000000000" lookAheadOverwriteRecord="00000000-0000-0000-0000-000000000000" maxPitch="80.0" maxYaw="20.0" minPitch="-20.0" minYaw="-20.0" seatFOV="00000000-0000-0000-0000-000000000000" seatType="DUAL_STICK" setYawPitchLimits="0" transitionTemplate="trans_turret_standard" useAnimationBasedTransition="1" userAnimationDatabase="animations/mannequin/adb/scitems/ships/scitemseat/aegs_idris_seat/aegs_idris_scitem_turret_humananims.adb" userScopeContext="SeatUser" useSyncedEnslavement="1" vehicleFragmentOverride="" vehicleScopeContext="">
      <actorAttachment __type="SCSeatActorAttachmentParams" boneName="turret_sit_pos" stance="Seated" type="Seat" />
      <QTViews />
      <usableInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_interactor_turret_gyro" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="AI_Use" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
        <QueryTags 61d439f9-0bef-43e0-8ecc-fe96c9793d66="61d439f9-0bef-43e0-8ecc-fe96c9793d66" />
      </usableInteraction>
      <views Default_Cockpit="5be5f08f-1c4a-4e52-bd67-04dbc1664b5d" AEGS_Idris_ThirdPersonFlight="6ec8926e-1304-4a6d-ae6b-12ebc68c3fba" Global_OrbitEnterExit="a06f019a-03f4-4e01-a32f-27ddefc0ab95" />
    </SCItemSeatParams>
    <SCItemWeaponControllerParams __type="DataForgeComponentParams" __polymorphicType="SCItemWeaponControllerParams" disableWeaponsInteraction="None" enableWeaponsInteraction="None" fireWeaponGroupOneInteraction="None" fireWeaponGroupTwoInteraction="None" setAutoGimbalInteraction="None" setFixedGimbalInteraction="None" setFreeGimbalInteraction="None" setLagPipsInteraction="None" setLeadPipsInteraction="None" setSynchronousFireInteraction="None">
      <AutoAim __type="SCItemInputAutoAimParams" AutoAimGimbalAngleThreshold="8.0" AutoAimMuzzleAngleThreshold="0.5" AutoAimPowerDrawRatio="1.0" AutoGimbalLimitedTurretSpeedInnerAngle="10.0" AutoGimbalLimitedTurretSpeedOuterAngle="25.0" AutoGimbalMaxAllowedTurretSpeed="3.0" BaseMuzzleAngleThreshold="8.0" />
      <StaggeredMode __type="SCItemWeaponControllerStaggeredFiring" DefaultStaggerFire="0">
        <ToggleWeaponFireModeInteraction __type="SSharedInteractionParams" available="1" conditionList="None" DisplayName="@ui_CIFPSWeaponChangeFireMode" DisplayType="Show" FocusModeOnly="0" GenericCursor="Button" InheritsConditionDisplaysThroughLinks="0" Linkable="1" LinkingTag="00000000-0000-0000-0000-000000000000" LockedByLinks="0" Name="Turret_Fire_Mode" RequiresAuthorizedUser="0" RoomTag="00000000-0000-0000-0000-000000000000" Sendable="0" UsableTag="00000000-0000-0000-0000-000000000000">
          <QueryTags />
        </ToggleWeaponFireModeInteraction>
      </StaggeredMode>
    </SCItemWeaponControllerParams>
    <SCItemAimableControllerParams __type="DataForgeComponentParams" __polymorphicType="SCItemAimableControllerParams" DefaultToGimbal="0" />
    <SSCItemTargetSelectorComponentParams __type="DataForgeComponentParams" __polymorphicType="SSCItemTargetSelectorComponentParams" autoSelectionTimer="0.5" beginSubTargetingInteraction="None" cycleAllTargetsInteraction="None" cycleFriendlyTargetInteraction="None" cycleHostileTargetInteraction="None" cyclePinnedTargetInteraction="None" cycleSubTargetInteraction="None" endSubTargetingInteraction="None" globalTargetingParams="c7fbc0d8-16dc-4181-9e71-dede73aa84b5" innerAngle="5.0" maxPinnedTargets="3" outerAngle="45.0" pinTargetInteraction="None" targetableItemTypesRecord="e4e957c1-cb94-4e4f-b937-0703f4efa200" unpinTargetInteraction="None">
      <arMarkersParams __type="SARMarkersParams" lockedRatioClose="19.799999237060547" />
      <arTrailParams __type="SARTrailParams" maxFadeDistance="50.0" minFadeDistance="30.0" quatDistance="10.0" quatLifetime="7.0" startDistance="0.0" />
    </SSCItemTargetSelectorComponentParams>
    <SHealthComponentParams __type="SBaseHealthComponentParams" __polymorphicType="SHealthComponentParams" ClientOnly="0" DebrisGeometryTag="" DestroyedGeometryTag="" DetachFromEntityOnDeath="0" DetachFromItemPortOnDeath="0" ExplodedGeometryTag="" ExplosionBone="" ExplosionDelayTime="0.0" ExplosionRandomDelayRange="0.0" Health="10000.0" InitialDamage="None" IsRepairable="1" IsSalvagable="1" PropagateExplosionDamageToChildren="0" PushDamageUpPartsHeirarchyWhenDead="1" UnlockInteractionsOnDeath="0" UseDirtShaderForDamage="0">
      <DamageResistances __type="DamageResistanceBase" __polymorphicType="DamageResistance">
        <BiochemicalResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <DistortionResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <EnergyResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <PhysicalResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <StunResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
        <ThermalResistance __type="DamageResistanceEntry" Multiplier="1.0" Threshold="0.0" />
      </DamageResistances>
      <DeathExplosionParams __type="ExplosionParams" angle="0.0" angleVertical="0.0" customMaterialEffect="" effectScale="5.0" effectScaleMax="1.0" effectScaleMin="1.0" flashbangParams="None" friendlyFire="None" hitType="explosion" holeSize="0.0" materialEffectEntry="None" maxblurdist="10.0" maxPhysRadius="5.0" maxRadius="5.0" minPhysRadius="2.5" minRadius="2.5" particleStrength="-1.0" pressure="100.0" radarContactType="00000000-0000-0000-0000-000000000000" shockwaveParams="None" soundRadius="50.0" terrainHoleSize="3.0" useRandomScale="0">
        <damage __type="DamageBase" __polymorphicType="DamageInfo" DamageBiochemical="0.0" DamageDistortion="0.0" DamageEnergy="0.0" DamagePhysical="0.0" DamageStun="0.0" DamageThermal="0.0" />
        <Direction __type="Vec3" x="0.0" y="0.0" z="1.0" />
        <effect __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Environments\Generic\Generic_Explosions.LT_EXPLOSIONS.lt_explosion_single_1m3_once_1" />
        <explosionFront __type="Vec3" x="0.0" y="0.0" z="0.0" />
        <explosionUp __type="Vec3" x="0.0" y="0.0" z="1.0" />
        <failedEffect __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="" />
        <failedSound __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
        <Offset __type="Vec3" x="0.0" y="0.0" z="0.0" />
        <sound __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
      </DeathExplosionParams>
      <DeathGasComposition />
      <HealthLevelStates>
        <HealthDamageState __type="HealthDamageState" effectTag="00000000-0000-0000-0000-000000000000" effectTrigger="00000000-0000-0000-0000-000000000000" geometryTag="" />
        <HealthDamageState __type="HealthDamageState" effectTag="daf8c7b7-5e14-4620-8316-3b788181b827" effectTrigger="00000000-0000-0000-0000-000000000000" geometryTag="" />
        <HealthDamageState __type="HealthDamageState" effectTag="693291dc-d148-4444-9132-695ed3626c18" effectTrigger="00000000-0000-0000-0000-000000000000" geometryTag="" />
        <HealthDamageState __type="HealthDamageState" effectTag="cef7444e-ba6e-4a49-ba3c-f56e1511b231" effectTrigger="00000000-0000-0000-0000-000000000000" geometryTag="" />
      </HealthLevelStates>
      <InteractionLocks />
    </SHealthComponentParams>
    <EntityComponentHeatConnection __type="DataForgeComponentParams" __polymorphicType="EntityComponentHeatConnection" Mass="200.0" MaxCoolingRate="1.0" MaxTemperature="450.0" MinTemperature="0.0" MisfireMaxTemperature="600.0" MisfireMinTemperature="370.0" OverclockThresholdMaxHeat="0.0" OverclockThresholdMinHeat="0.0" OverheatTemperature="370.0" OverpowerHeat="0.0" RecoveryTemperature="350.0" SpecificHeatCapacity="13.0" StartCoolingTemperature="300.0" StartIRTemperature="250.0" SurfaceArea="50.0" TemperatureToIR="6.0" ThermalConductivity="3.0" ThermalEnergyBase="10.0" ThermalEnergyDraw="20.0" />
    <EntityComponentPowerConnection __type="DataForgeComponentParams" __polymorphicType="EntityComponentPowerConnection" DecayRateOfEM="0.15000000596046448" DisplayedInPoweredItemList="0" IsOverclockable="0" IsThrottleable="0" MisfireGenerationParams="None" MisfireItemTypeLocID="@LOC_PLACEHOLDER" OverclockPerformance="0.0" OverclockThresholdMax="0.0" OverclockThresholdMin="0.0" OverpowerPerformance="0.0" PowerBase="0.0" PowerDraw="2.0" PowerToEM="0.0" SafeguardPriority="0" TimeToReachDrawRequest="0.0" WarningDelayTime="0.30000001192092896" WarningDisplayTime="8.0">
      <MisfireEvents __type="SMisfireEvents">
        <CriticalMisfires />
        <MajorMisfires />
        <MinorMisfires />
      </MisfireEvents>
    </EntityComponentPowerConnection>
    <EMPoolParams __type="DataForgeComponentParams" __polymorphicType="EMPoolParams" overrideEmValue="0.0" />
    <SEntityComponentEffects __type="DataForgeComponentParams" __polymorphicType="SEntityComponentEffects">
      <entityEffects __type="SEntitityEffectSystem_SystemBase" __polymorphicType="SEntitityEffectSystem_System" audioEnvironmentEffects="None" lightEffects="None" soundEffects="None" uiOwnerEffects="None">
        <materialEffects __type="SEntityEffectSystem_Category" __polymorphicType="EntityEffectSystem_MaterialCategory" allowMultipleTags="1" enabled="1">
          <tagEffects>
            <EntityEffectSystem_MaterialTagEffect __type="EntityEffectSystem_MaterialEffect" __polymorphicType="EntityEffectSystem_MaterialTagEffect" enabled="1" name="EMPool" tag="c3ca3e12-5c26-450e-a1b5-fa170ec4703d">
              <propertyLinks>
                <EntityEffectSystem_MaterialPropertyLink __type="SEntityEffectSystem_PropertyLink" __polymorphicType="EntityEffectSystem_MaterialPropertyLink" materialProperty="Interference" parameterName="4b550377-9155-4dd0-afee-3deb4ae4ad07" subMeshName="">
                  <modifiers />
                </EntityEffectSystem_MaterialPropertyLink>
              </propertyLinks>
            </EntityEffectSystem_MaterialTagEffect>
            <EntityEffectSystem_MaterialTagEffect __type="EntityEffectSystem_MaterialEffect" __polymorphicType="EntityEffectSystem_MaterialTagEffect" enabled="1" name="Distortion" tag="00000000-0000-0000-0000-000000000000">
              <propertyLinks>
                <EntityEffectSystem_MaterialPropertyLink __type="SEntityEffectSystem_PropertyLink" __polymorphicType="EntityEffectSystem_MaterialPropertyLink" materialProperty="Interference" parameterName="00000000-0000-0000-0000-000000000000" subMeshName="">
                  <modifiers />
                </EntityEffectSystem_MaterialPropertyLink>
              </propertyLinks>
            </EntityEffectSystem_MaterialTagEffect>
          </tagEffects>
          <triggerEffects />
        </materialEffects>
        <particleEffects __type="SEntityEffectSystem_Category" __polymorphicType="SEntityEffectSystem_ParticleCategory" allowMultipleTags="1" enabled="1">
          <tagEffects>
            <SEntityEffectSystem_ParticleTagEffect __type="SEntityEffectSystem_ParticleEffect" __polymorphicType="SEntityEffectSystem_ParticleTagEffect" clipToVisArea="Local" enabled="1" gpuVisAreaCullingMode="Default" holographic="0" name="HealthTrigger_1_SMOKE" primed="0" tag="daf8c7b7-5e14-4620-8316-3b788181b827" updateEntityBounds="0">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_BoneAttachment" attachmentZone="Host" boneAttachment="VFX_Smoke*" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <particleEffect __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Damage\LT_Damage\LT_Smoke_FX.LT_Smoke_HitFx.lt_smoke_HitFx_4m_linger" />
              <propertyLinks />
            </SEntityEffectSystem_ParticleTagEffect>
            <SEntityEffectSystem_ParticleTagEffect __type="SEntityEffectSystem_ParticleEffect" __polymorphicType="SEntityEffectSystem_ParticleTagEffect" clipToVisArea="Local" enabled="1" gpuVisAreaCullingMode="Default" holographic="0" name="HealthTrigger_2_SMOKE" primed="0" tag="693291dc-d148-4444-9132-695ed3626c18" updateEntityBounds="0">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_BoneAttachment" attachmentZone="Host" boneAttachment="VFX_Smoke*" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <particleEffect __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Damage\LT_Damage\LT_Smoke_FX.LT_Smoke_HitFx.lt_smoke_HitFx_4m_linger" />
              <propertyLinks />
            </SEntityEffectSystem_ParticleTagEffect>
            <SEntityEffectSystem_ParticleTagEffect __type="SEntityEffectSystem_ParticleEffect" __polymorphicType="SEntityEffectSystem_ParticleTagEffect" clipToVisArea="Local" enabled="1" gpuVisAreaCullingMode="Default" holographic="0" name="HealthTrigger_2_FIRE" primed="0" tag="693291dc-d148-4444-9132-695ed3626c18" updateEntityBounds="0">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_BoneAttachment" attachmentZone="Host" boneAttachment="VFX_Fire*" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <particleEffect __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Damage\MT_Damage\mt_fire_fx.mt_fire_HitFX.mt_fire_HitFx_2m" />
              <propertyLinks />
            </SEntityEffectSystem_ParticleTagEffect>
            <SEntityEffectSystem_ParticleTagEffect __type="SEntityEffectSystem_ParticleEffect" __polymorphicType="SEntityEffectSystem_ParticleTagEffect" clipToVisArea="Local" enabled="1" gpuVisAreaCullingMode="Default" holographic="0" name="HealthTrigger_3_EXPLOSIONS" primed="0" tag="cef7444e-ba6e-4a49-ba3c-f56e1511b231" updateEntityBounds="0">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_BoneAttachment" attachmentZone="Host" boneAttachment="VFX_Explosion*" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <particleEffect __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Damage\MT_Damage\mt_explode_fx.mt_explode_HitFx.mt_explode_HitFx_1m" />
              <propertyLinks />
            </SEntityEffectSystem_ParticleTagEffect>
            <SEntityEffectSystem_ParticleTagEffect __type="SEntityEffectSystem_ParticleEffect" __polymorphicType="SEntityEffectSystem_ParticleTagEffect" clipToVisArea="Local" enabled="1" gpuVisAreaCullingMode="Default" holographic="0" name="HealthTrigger_3_FIRE" primed="0" tag="cef7444e-ba6e-4a49-ba3c-f56e1511b231" updateEntityBounds="0">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_BoneAttachment" attachmentZone="Host" boneAttachment="VFX_Fire*" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <particleEffect __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Damage\MT_Damage\mt_fire_fx.mt_fire_HitFX.mt_fire_HitFx_2m" />
              <propertyLinks />
            </SEntityEffectSystem_ParticleTagEffect>
            <SEntityEffectSystem_ParticleTagEffect __type="SEntityEffectSystem_ParticleEffect" __polymorphicType="SEntityEffectSystem_ParticleTagEffect" clipToVisArea="Local" enabled="1" gpuVisAreaCullingMode="Default" holographic="0" name="HealthTrigger_3_SMOKE" primed="0" tag="cef7444e-ba6e-4a49-ba3c-f56e1511b231" updateEntityBounds="0">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_BoneAttachment" attachmentZone="Host" boneAttachment="VFX_Smoke*" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <particleEffect __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Damage\LT_Damage\LT_Smoke_FX.LT_Smoke_HitFx.lt_smoke_HitFx_4m_linger" />
              <propertyLinks />
            </SEntityEffectSystem_ParticleTagEffect>
          </tagEffects>
          <triggerEffects>
            <SEntityEffectSystem_ParticleTriggerEffect __type="SEntityEffectSystem_ParticleEffect" __polymorphicType="SEntityEffectSystem_ParticleTriggerEffect" clipToVisArea="Local" enabled="1" gpuVisAreaCullingMode="Default" holographic="0" name="EXPLOSION" primed="0" trigger="c7d52ac4-2a9e-4951-b660-e3c34387ebb0" updateEntityBounds="0">
              <attachmentSettings __type="SEntityEffectSystem_Attachment" __polymorphicType="SEntityEffectSystem_Attachment_EntitySlot" offsetParameter="00000000-0000-0000-0000-000000000000">
                <offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.5396000146865845" z="-1.601699948310852" />
                  <Rotation __type="Ang3" x="90.0" y="0.0" z="0.0" />
                </offset>
              </attachmentSettings>
              <particleEffect __type="GlobalResourceBase" __polymorphicType="GlobalResourceParticle" path="Damage\MT_Damage\mt_explode_fx.mt_explode.mt_explode_18m_once_fixed" />
              <propertyLinks />
            </SEntityEffectSystem_ParticleTriggerEffect>
          </triggerEffects>
        </particleEffects>
        <sequencerTags />
      </entityEffects>
      <staticColors />
      <staticValues />
      <tagsToEnableOnLoad />
      <triggersToEnableOnLoad />
    </SEntityComponentEffects>
    <SDistortionParams __type="DataForgeComponentParams" __polymorphicType="SDistortionParams" DecayDelay="1.5" DecayRate="50.0" Maximum="1500.0" PowerChangeOnlyAtMaxDistortion="0" PowerRatioAtMaxDistortion="0.0" RecoveryRatio="0.699999988079071" WarningRatio="0.75" />
    <SCItemUIViewOwnerParams __type="DataForgeComponentParams" __polymorphicType="SCItemUIViewOwnerParams" dashboardCanvasConfig="00000000-0000-0000-0000-000000000000" element="00000000-0000-0000-0000-000000000000" loadDistance="60.0" />
    <UIAudioComponentEntityComponentParams __type="DataForgeComponentParams" __polymorphicType="UIAudioComponentEntityComponentParams" dialogueContext="00000000-0000-0000-0000-000000000000" offset="None" UIAudioDef="436eb23c-ff1d-46de-805d-e178e7975eed" useEntityClass="00000000-0000-0000-0000-000000000000">
      <videoAudioPauseTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
      <videoAudioPlayTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
      <videoAudioResumeTrigger __type="GlobalResourceBase" __polymorphicType="GlobalResourceAudio" audioTrigger="" />
    </UIAudioComponentEntityComponentParams>
    <SCItemShipComputerParams __type="DataForgeComponentParams" __polymorphicType="SCItemShipComputerParams" definition="9a6aae60-3a18-4b10-9297-a33582c05746" />
    <UIBindingsVendorEntityComponentParams __type="DataForgeComponentParams" __polymorphicType="UIBindingsVendorEntityComponentParams" namespace="" />
    <SActorUsableParams __type="DataForgeComponentParams" __polymorphicType="SActorUsableParams" archetype="5c06e726-90c3-47d8-a5e5-7293f3c7e6b5" fragmentTag="" isExterior="0">
      <abilityLocks />
      <alignmentSlots>
        <OperatorSeatAlignmentSlot __type="AlignmentSlotBase" __polymorphicType="OperatorSeatAlignmentSlot" available="1" canPlayerUse="1" fragmentTag="" name="" slottedFragmentTag="">
          <interactionPoints />
          <optionalGameTags />
        </OperatorSeatAlignmentSlot>
      </alignmentSlots>
      <slottingSetups />
      <specializedData __type="SSpecializedData">
        <specializedDataEntry />
      </specializedData>
      <usableSequencerTasks />
      <useSlots>
        <UsableUseSlot __type="UsableUseSlot" additionalFragmentTags="" available="1" isScoochable="0" name="" stance="Unset">
          <optionalGameTags />
          <relativeTransform __type="QuatT">
            <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
            <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
          </relativeTransform>
          <usableItemPorts />
          <useChannelInstances>
            <UsableUseChannelInstance __type="UsableUseChannelInstance" conditionList="None" fragmentTag="" interaction="None" isEnabled="1" preparationSequence="None" stance="Unset" useChannelArchetype="7ed6ccb6-0466-4817-8eaa-e054046e3ec9">
              <alignmentSlots OperatorSeatAlignmentSlot="weakPointer:OperatorSeatAlignmentSlot" />
              <tagsToAddOnEnter />
              <tagsToAddOnExit />
              <tagsToRemoveOnEnter />
              <tagsToRemoveOnExit />
              <useChannelInstancesToDisable />
              <useChannelInstancesToEnable />
            </UsableUseChannelInstance>
          </useChannelInstances>
        </UsableUseSlot>
      </useSlots>
      <views />
    </SActorUsableParams>
    <SEntityAudioControllerParams __type="DataForgeComponentParams" __polymorphicType="SEntityAudioControllerParams" audioControllerEntityType="None" fullLODDistance="9000.0" fullToLowLODDistance="9050.0" occlusionAttenuationScaler="0.5" offLODDistance="10050.0" offToLowLODDistance="10000.0" randomSeedCount="0">
      <tags __type="TagList">
        <tags />
      </tags>
    </SEntityAudioControllerParams>
    <SItemPortContainerComponentParams __type="DataForgeComponentParams" __polymorphicType="SItemPortContainerComponentParams" masterController="None" PortFlags="" PortTags="" RequiredItemTags="">
      <InternalResourceLinks />
      <Ports>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="port_NameTurretGunSlot01" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="5" MinSize="5" Name="hardpoint_weapon_left" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="turret_left" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types>
            <SItemPortDefTypes __type="SItemPortDefTypes" Type="WeaponGun">
              <SubTypes>Gun</SubTypes>
            </SItemPortDefTypes>
          </Types>
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="port_NameTurretGunSlot02" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="5" MinSize="5" Name="hardpoint_weapon_right" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationBone">
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="turret_right" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types>
            <SItemPortDefTypes __type="SItemPortDefTypes" Type="WeaponGun">
              <SubTypes>Gun</SubTypes>
            </SItemPortDefTypes>
          </Types>
        </SItemPortDef>
        <SItemPortDef __type="SItemPortDef" control="None" controllableTag="" DefaultWeaponGroup="UNDEFINED" DisplayName="" Extension="None" Flags="" InteractionPointSize="-1.0" MaxSize="0" MinSize="0" Name="Aim_HUD" PortTags="" RequiredPortTags="" resourceLinkToParent="0" useHelperAsInteractionPointName="0">
          <AttachmentImplementation __type="SItemPortDefAttachmentImplementationBase" __polymorphicType="SItemPortDefAttachmentImplementationEntity" hangarPort="0" useEntityAttachment="1" useExteriorAttachment="0" usePhysicalAttachment="0" usePhysicalParent="0">
            <constraintParams __type="SAttachmentConstraintParams" constrainFully="1" constraintHelper="" constraintMaintainOrientation="0" constrainToLine="0" constrainToPlane="0" damping="0.0" maxBendTorque="0.0" maxPullForce="0.0" noRotation="1" noSelfCollisions="1" useWorldConstraintPosition="0" xMax="0.0" xMin="0.0" yzMax="0.0" />
            <Helper __type="SItemPortDefHelperNode" Tags="">
              <Helper __type="SItemPortDefHelper" ItemOffsetHelperName="" Name="" SimulationParams="None">
                <Offset __type="QuatT">
                  <Position __type="Vec3" x="0.0" y="0.0" z="0.0" />
                  <Rotation __type="Ang3" x="0.0" y="0.0" z="0.0" />
                </Offset>
              </Helper>
              <SubHelpers />
            </Helper>
          </AttachmentImplementation>
          <AttachmentPoints />
          <Connections />
          <DisabledPortLinks />
          <InteractionPointOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
          <linkedItemPorts />
          <Tags />
          <Types />
        </SItemPortDef>
      </Ports>
    </SItemPortContainerComponentParams>
    <SDegradationParams __type="DataForgeComponentParams" __polymorphicType="SDegradationParams" AtmosphereMultiplier="1.0" BasePowerMultiplier="0.0" DegradeOnlyWhenAttached="1" DrawPowerMultiplier="0.0" InitialAgeRatio="0.0" MaxLifetimeHours="25.0" PortTags="" RequiredPortTags="" StopDegradingWhenAttached="0">
      <EffectCurve __type="BezierCurve" useLUT="0">
        <points />
      </EffectCurve>
    </SDegradationParams>
    <ItemControlComponentParams __type="DataForgeComponentParams" __polymorphicType="ItemControlComponentParams" throttleParams="None" turnedOnByDefault="0" />
    <ItemControllerComponentParams __type="DataForgeComponentParams" __polymorphicType="ItemControllerComponentParams" operatorModeDefinitionsOverride="00000000-0000-0000-0000-000000000000" />
    <SCRTTCameraParams __type="DataForgeComponentParams" __polymorphicType="SCRTTCameraParams" defaultCamDistance="0.4000000059604645" onFootCameraView="00000000-0000-0000-0000-000000000000" vehicleCameraView="ecc20584-732a-4941-b5c8-c675c456d014" />
    <AITargetableComponentParams __type="DataForgeComponentParams" __polymorphicType="AITargetableComponentParams" targetableSettings="c2966440-e8ea-4c57-81a0-3ae37280be13" />
    <RParticleFieldNodeComponentParams __type="DataForgeComponentParams" __polymorphicType="RParticleFieldNodeComponentParams" enableField="1" matchSizeFromTexture="0" mergedVoxelCountScaleFrac="1.0" mergeSDFs="0" strengthMult="1.0" texture3D="" useTransformHelperFile="1">
      <debugDraw __type="RParticleFieldNodeDebugParams" arrowScale="1.0" density="1.0" densityPerMeter="0" drawAdvanced="0" drawBoundingBox="0" maxMagnitude="0.0" minMagnitude="0.0" renderInverted="0" renderThreshold="0.0" renderTolerance="0.0" />
      <mergedPaddingFrac __type="Vec3" x="0.0" y="0.0" z="0.0" />
      <posOffset __type="Vec3" x="0.0" y="0.0" z="0.0" />
      <rotOffset __type="Ang3" x="0.0" y="0.0" z="0.0" />
      <size __type="Vec3" x="1.0" y="1.0" z="1.0" />
    </RParticleFieldNodeComponentParams>
    <SDialogueComponentParams __type="DataForgeComponentParams" __polymorphicType="SDialogueComponentParams" />
    <SAudioProxyParams __type="DataForgeComponentParams" __polymorphicType="SAudioProxyParams" />
    <SCItemAimableComponentParams __type="DataForgeComponentParams" __polymorphicType="SCItemAimableComponentParams" />
  </Components>
  <StaticEntityClassData>
    <DefaultEntitlementEntityParams __type="EntityClassStaticDataParams" __polymorphicType="DefaultEntitlementEntityParams" canEntitleThroughWebsite="1" entitlementPolicy="8a1fdd48-7896-4774-a110-2466190e1a07" />
  </StaticEntityClassData>
  <tags 61d439f9-0bef-43e0-8ecc-fe96c9793d66="61d439f9-0bef-43e0-8ecc-fe96c9793d66" />
</EntityClassDefinition.AEGS_Idris_SCItem_Turret_Upper_Rear_Left_Stanton>